unit Uf45_t1;
{Botones modificadores de función del fluke 45}
interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons,Unitgen, ExtCtrls, SensMap, MPlayer;

type
  TFormFluke45BMod1 = class(TForm)
    SensitiveMap1: TSensitiveMap;
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    LabelMando: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    GroupBox2: TGroupBox;
    Memo1: TMemo;
    Panel2: TPanel;
    BitBtn2: TBitBtn;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    GroupBox3: TGroupBox;
    Memo2: TMemo;
    CheckBox1: TCheckBox;
    SensitiveMap2: TSensitiveMap;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SensitiveMap1Click(Sender: TObject);
    procedure SensitiveMap2Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormFluke45BMod1: TFormFluke45BMod1;

implementation

{$R *.DFM}

procedure TFormFluke45BMod1.BitBtn1Click(Sender: TObject);
begin
temaabierto := temaabierto - [1];
release;
end;

procedure TFormFluke45BMod1.FormCreate(Sender: TObject);
begin
Screen.cursors[CR]:=cur;
SensitiveMap1.Cursor_alt:=CR;
SensitiveMap2.Cursor_alt:=CR;
SensitiveMap1.Situar_Cuadro(8,8,50,34,'Lecturas relativas',Label1);{Botón REL}
SensitiveMap1.Situar_Cuadro(66,8,104,34,'Decibelios y energía Audio',Label2);{Botón dB}
SensitiveMap1.Situar_Cuadro(8,64,48,86,'Modo Touch Hold',Label3);{Botón HOLD}
SensitiveMap1.Situar_Cuadro(65,64,103,86,'Mínimo Máximo',Label4);{Botón MN MX}
SensitiveMap2.Situar_Cuadro(8,8,50,34,'Base relativa',Label5);{Botón REF #}
SensitiveMap2.Situar_Cuadro(66,8,104,34,'Impedancia referencia',Label6);{Botón REF ohmios}
SensitiveMap2.Situar_Cuadro(8,64,48,86,'Umbral mínimo',Label7);{Botón THRESH}
SensitiveMap2.Situar_Cuadro(65,64,103,86,'Dirección IEEE-448',Label8);{Botón ADDR}

{SensitiveMap1.Situar_Cuadro();}
end;

procedure TFormFluke45BMod1.SensitiveMap1Click(Sender: TObject);
var
   cuad,i:integer;
   qz:string;
begin
     memo1.clear;
     memo2.clear;
     labelmando.caption:='';
     cuad:=SensitiveMap1.Cuadro_activo;
     qz:=SensitiveMap1.Quezona(cuad);
     if (qz=' Lecturas relativas ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón REL';
        Memo1.lines.Add('Permite leer los valores de forma relativa, respecto a un valor de referencia.');
        Memo2.lines.Add('Cuando el modificador relativo está seleccionado, la lectura');
        Memo2.lines.Add('en el display primario es siempre la diferencia entre el ');
        Memo2.lines.Add('valor base relativa y la medida de entrada.');
        Memo2.lines.Add('Pulsando el botón REL se entra y sale alternativamente del');
        Memo2.lines.Add('modificador relativo. Al entrar, se toma el último valor');
        Memo2.lines.Add('representado en el display como base relativa.');
        Memo2.lines.Add('Se puede variar la base relativa con el editor de números.');
        Memo2.lines.Add('');
        Memo2.lines.Add('Si se pulsa el botón REL mientras se pulsa también la tecla 2ND,');
        Memo2.lines.Add('cuando el modificador relativo esté seleccionado, se visualizará');
        Memo2.lines.Add('en el display secundario la base relativa. Para desactivar este');
        Memo2.lines.Add('modo, se debe pulsar otra vez REL mientras se pulsa 2ND.');
     end;
     if (qz=' Decibelios y energía Audio ') then
     begin
        Labelmando.caption:={strpas((}'BOTÓN dB';
        Memo1.lines.Add('Convierte un voltaje de voltios a dBm (medida de decibelios relativa '+
                        'a un milivatio).');
        Memo2.lines.Add('Pulsando la tecla dB se entra y sale alternativamente del ');
        Memo2.lines.Add('modificador decibelios.');
        Memo2.lines.Add('Este modificador se puede seleccionar sólo cuando una función');
        Memo2.lines.Add('de voltaje está seleccionada en el display primario.');
        Memo2.lines.Add('Para realizar la conversión, se usa un valor llamado impedancia');
        Memo2.lines.Add('de referencia, que puede cambiarse usando el editor de listas');
        Memo2.lines.Add('(ver la sección "notas generales").');
     end;
     if (qz=' Modo Touch Hold ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón HOLD';
        Memo1.lines.Add( 'El modificador Touch Hold permite tomar una medida y '+
                         '"mantenerla"(hold) en el display.');
        Memo2.lines.Add('Pulsando HOLD, se entra y sale alternativamente del modificador');
        Memo2.lines.Add('Touch Hold.');
        Memo2.lines.Add('Ya en modo Touch Hold, cada pulsación del botón HOLD fuerza');
        Memo2.lines.Add('a que se represente una nueva lectura. Para salir de Touch Hold,');
        Memo2.lines.Add('pulsar el botón HOLD durante dos segundos.');
        Memo2.lines.Add('En modo Touch Hold, cuando se lee una medida nueva estable, ');
        Memo2.lines.Add('el multímetro emite un pitido.');
        Memo2.lines.Add('Se puede cambiar el grado de sensibilidad en el que Touch Hold');
        Memo2.lines.Add('capturará y representará una medida, con el editor de listas');
        Memo2.lines.Add('(ver el apartado "notas generales").');
     end;
     if (qz=' Mínimo Máximo ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón MN MX';
        Memo1.lines.Add( 'Hace que el multímetro almacene las entradas máxima y mínima '+
                         'desde que se seleccionó el modificador MN MX.');
        Memo2.lines.Add('Pulsar el botón MN MX para seleccionar el modificador.');
        Memo2.lines.Add('Cuando se selecciona por primera vez MN MX, los valores');
        Memo2.lines.Add('máximo y mínimo se asignan al valor representado en el ');
        Memo2.lines.Add('display, y el indicador "MIN" aparece en éste.');
        Memo2.lines.Add('Pulsando MN MX a partir de aquí, se alterna entre el valor');
        Memo2.lines.Add('máximo y el valor mínimo (apareciendo los indicadores "MIN"');
        Memo2.lines.Add('y "MAX" en el display).');
        Memo2.lines.Add('Para salir del modificador MN MX, pulsar el botón MN MX ');
        Memo2.lines.Add('durante dos segundos.');
        Memo2.lines.Add('');
        Memo2.lines.Add('Para observar la cantidad medida sin reiniciar los valores ');
        Memo2.lines.Add('MN MX almacenados, usar el display secundario pulsando 2ND,');
        Memo2.lines.Add('y seleccionando la misma función que en el primario.');
     end;
     if (qz='  ') then
     begin
        Labelmando.caption:={strpas(strupper(}'';
        Memo1.lines.Add('');
        Memo1.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
     end;

end;
procedure TFormFluke45BMod1.SensitiveMap2Click(Sender: TObject);
var
   cuad,i:integer;
   qz:string;
begin
     memo1.clear;
     memo2.clear;
     labelmando.caption:='';
     cuad:=SensitiveMap2.Cuadro_activo;
     qz:=SensitiveMap2.Quezona(cuad);
     if (qz=' Base relativa ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón REF #';
        Memo1.lines.Add('Permite cambiar la base relativa cuando el modificador '+
                        'relativo está seleccionado (ver el botón REL para más '+
                        'información sobre el modificador relativo).');
        Memo2.lines.Add('1.- Pulsar la tecla 2ND.');
        Memo2.lines.Add('2.- Pulsar el botón REF #.');
        Memo2.lines.Add('3.- Usar el editor de números que se presenta para ');
        Memo2.lines.Add('    introducir el nuevo valor de la base relativa (ver la');
        Memo2.lines.Add('    sección "notas generales" para más información sobre el');
        Memo2.lines.Add('    editor de números).');
     end;
     if (qz=' Impedancia referencia ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón REF ohmios';
        Memo1.lines.Add('Permite establecer la impedancia de referencia de decibelios, '+
                        'medida en ohmios.');
        Memo2.lines.Add('1.- Pulsar el botón 2ND.');
        Memo2.lines.Add('2.- Pulsar el botón REF ohmios.');
        Memo2.lines.Add('3.- Usar el editor de listas presentado para elegir la impedancia');
        Memo2.lines.Add('    de referencia (ver la sección "notas generales" para más ');
        Memo2.lines.Add('    información sobre el editor de listas).');
     end;
     if (qz=' Umbral mínimo ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón THRESH';
        Memo1.lines.Add( 'Permite entrar en el editor de listas para seleccionar '+
                         'el mínimo nivel de sensibilidad para que el modo Touch Hold '+
                         '(ver botón HOLD) capture y represente una nueva medida.');
        Memo2.lines.Add('1.- Pulsar el botón 2ND.');
        Memo2.lines.Add('2.- Pulsar el botón THRESH.');
        Memo2.lines.Add('3.- Elegir una opción de entre la lista, con las flechas:');
        Memo2.lines.Add('       - Nivel 1 (5% del rango).');
        Memo2.lines.Add('       - Nivel 2 (7% del rango).');
        Memo2.lines.Add('       - Nivel 3 (8% del rango).');
        Memo2.lines.Add('       El modo Touch Hold capturará una nueva medida estable,');
        Memo2.lines.Add('       cuando la medida varíe igual o menos que el % del rango');
        Memo2.lines.Add('       seleccionado.');
        Memo2.lines.Add('Ver el "editor de listas" en la sección "notas generales".');
     end;
     if (qz=' Dirección IEEE-448 ') then
     begin
        Labelmando.caption:={strpas(strupper(}'Botón ADDR';
        Memo1.lines.Add('Permite determinar la dirección IEEE-488 (si la interfaz IEEE-488 '+
                        'está instalada y seleccionada) o el modo de impresión de la RS-232 '+
                        '(si la interfaz de la RS-232 está seleccionada).');
        Memo2.lines.Add('1.- Pulsar el botón 2ND.');
        Memo2.lines.Add('2.- Pulsar el botón ADDR.');
        Memo2.lines.Add('3.- Elegir de entre la lista de opciones presentadas la opción');
        Memo2.lines.Add('    deseada (ver la sección "notas generales" para más detalles');
        Memo2.lines.Add('    sobre el editor de listas).');
     end;
     if (qz='  ') then
     begin
        Labelmando.caption:={strpas(strupper(}'';
        Memo1.lines.Add('');
        Memo1.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
        Memo2.lines.Add('');
     end;

end;

procedure TFormFluke45BMod1.CheckBox1Click(Sender: TObject);
begin
if CheckBox1.checked then Sensitivemap1.hide
else sensitivemap1.show;
end;

end.
